{% extends 'core.html' %} 

{% block title %}Publicaciones{% endblock %} 

{% load crispy_forms_tags %}

{% block staticload %}
{% load static %} 
{% endblock %} 

{% block content %}
  <div class="container mt-5">
    <div class="card p-4">
      <div class="row">
        <div class="col-12 col-sm-12 col-md-3 col-lg-3 col-xl-3">
          {% if publication.photo %}
            <img class="img-thumbnail" src="{{publication.photo.url}}">
          {% else %}
          {% comment %} TODO Image replacement {% endcomment %}
          {% endif %}
        </div>
        <div class="col-12 col-sm-12 col-md-9 col-lg-9 col-xl-9 align-left">
          <div class="row">
            <div class="col-12">
              <h4 class="display-4"><a class="text-dark" href="{{publication.get_absolute_url}}">{{ publication.product_name }}</a></h4>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <h6 class="display-6"><em>{{ publication.slug }}</em></h6>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <p><small><strong>Publicado en: </strong>{{publication.publication_date}} <a class="text-danger" href="{% url 'report-publication' pk=publication.id %}">Reportar</a></small></p>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <p class="text-warning lead"><strong>$ </strong>{{publication.price}}</p>
            </div>
          </div>
          <div class="row">
            <div class="col-3 col-sm-3 col-md-3 col-lg-2 col-xl-2">
              {% if publication.state == 'D' %}
              <p><span class="badge badge-success">{{publication.get_state_display}}</span></p>
              {% else %}
              <p><span class="badge badge-danger">{{publication.get_state_display}}</span></p>
              {% endif %}
            </div>
            {% if user.is_authenticated and publication.seller.id == user.id %}            
            <div class="col-7 col-sm-7 col-md-7 col-lg-9 col-xl-10 text-left">
              <a href="{% url 'change-publication-state' pk=publication.id %}">
              {% if publication.state == 'D' %}
                <span style="font-size: 1.0em; color: #dc3545;">
                  <i class="fas fa-power-off" aria-hidden="true"></i>
                </span>              
              {% else %}
                <span style="font-size: 1.0em; color: #28a745;">
                  <i class="fas fa-power-off" aria-hidden="true"></i>
                </span>
              {% endif %}              
              </a>
            </div>
            {% endif %}
          </div>
          <div class="row">
            <div class="col-12">
              <p>{{publication.product_description}}</p>
            </div>
          </div>
        </div>
      </div>
      {% if user.is_authenticated %}
      <hr class="mt-4 mb-4"/>
      <h5 class="display-5">Contacto del Vendedor</h5>
      <div class="row">
        <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
          <p class="display-5"><a class="text-dark" href="{{seller.get_absolute_url}}"><strong>Username: </strong>{{seller.username}}</a></p>
        </div>
        <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
          <p class="display-5"><a class="text-dark" href="{{seller.get_absolute_url}}"><strong>Nombre: </strong>{{seller.first_name}}  {{seller.last_name}}</a></p>
        </div>
      </div>
      <div class="row">
        <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
          <p class="display-5"><strong>Email: </strong>{{seller.email}}</p>
        </div>
        <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
          <p class="display-5"><strong>Teléfono: </strong>{{seller.mobile_phone}}</p>
        </div>
      </div>
    </div>
    {% endif %}
  </div>
  <div class="container mt-3 mb-5">
    {% if user.is_staff or user.id == publication.seller.id %}
      <button type="button" class="btn btn-danger btn-lg btn-block" data-toggle="modal" data-target="#deletePublicationModal">Eliminar</button>
    {% endif %}
  </div>
<div class="modal fade" id="deletePublicationModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title text-center" id="exampleModalLabel">Eliminar</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form method="POST" action="{% url 'delete-publication' %}">
                <div class="modal-body">
                    {% csrf_token %}
                    <div class="row">
                        <div class="col-12">
                            {{removal_form.uuid|as_crispy_field}}
                            {{removal_form.removal_motive|as_crispy_field}}
                        </div>
                    </div>                    
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-dark" data-dismiss="modal">Cancelar</button>
                    <button type="submit" class="btn btn-danger">Eliminar</button>
                </div>
            </form>
        </div>
    </div>
</div>
{% endblock %}

{% block scriptfiles %}

{% endblock %}